Package net.rubygrapefruit.platform.internal.jni

# Class PosixProcessFunctions

java.lang.Object
net.rubygrapefruit.platform.internal.jni.PosixProcessFunctions

public class PosixProcessFunctions extends Object

## Constructor Summary

Constructors
Constructor
Description
`PosixProcessFunctions()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`detach(FunctionResult result)`
`static String`
`getEnvironmentVariable(String var, FunctionResult result)`
`static int`
`getPid()`
`static String`
`getWorkingDirectory(FunctionResult result)`
`static void`
`setEnvironmentVariable(String var, String value, FunctionResult result)`
`static void`
`setWorkingDirectory(String dir, FunctionResult result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PosixProcessFunctions

public PosixProcessFunctions()

## Method Details

### getPid

public static int getPid()

### detach

public static void detach(FunctionResult result)

### getWorkingDirectory

public static String getWorkingDirectory(FunctionResult result)

### setWorkingDirectory

public static void setWorkingDirectory(String dir, FunctionResult result)

### getEnvironmentVariable

public static String getEnvironmentVariable(String var, FunctionResult result)

### setEnvironmentVariable

public static void setEnvironmentVariable(String var, String value, FunctionResult result)